<?php
class group_rights_help_text_Test extends PHPUnit_Framework_TestCase
{
    /**
    *
    * Test group rights help text
    */
    function test_group_rights_help_text()
    {
        $grouprights_helptexts = json_decode(
            file_get_contents(dirname(__FILE__).'/../../js/grouprights_helptexts.json'),
            true
        );
        $access_rights = Op5Authorization::get_all_auth_levels();
        //Check group rights header have help text
        foreach($access_rights as $access_right_header => $access_right_items) {
            $access_right_header = strtolower(str_replace("_"," ",$access_right_header));
            $this->assertTrue(
                array_key_exists($access_right_header, $grouprights_helptexts),
                "should have helptext for '$access_right_header' in /nacoma/js/grouprights_helptexts.json"
            );
            //Check group rights items have help text
            foreach($access_right_items as $access_right_item => $value) {
                $access_right_item = strtolower(str_replace("_"," ",$access_right_item));
                $this->assertTrue(
                    array_key_exists($access_right_item, $grouprights_helptexts),
                    "should have helptext for '$access_right_item' in /nacoma/js/grouprights_helptexts.json"
                );
            }
        }
    }
}
